require 'active_support/inflector'
require 'active_support/core_ext/array/extract_options'

module MagayaAPI
  class << self
    def configure
      yield(configuration) if block_given?
    end

    def configuration
      @configuration ||= Config.new
    end
  end

  class Config
    attr_accessor :log_level, :open_timeout, :read_timeout, :username, :password, :url

    def initialize
      @log_level = :debug
      @username = ENV['MAGAYA_API_USERNAME'] || ''
      @password = ENV['MAGAYA_API_PASSWORD'] || ''
      @url = ENV['MAGAYA_API_URL'] || ''
    end
  end
end
